> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Calculation



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /pipelines/calculations
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /pipelines/calculations:
    post:
      tags:
        - Pipeline
      summary: Run Calculation
      operationId: run_calculation_pipelines_calculations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CalculationConfig'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CalculationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CalculationConfig:
      properties:
        calculation:
          type: string
          title: Calculation
        electrode:
          anyOf:
            - type: string
            - type: 'null'
          title: Electrode
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        existing_parameters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Existing Parameters
      type: object
      required:
        - calculation
      title: CalculationConfig
    CalculationResponse:
      properties:
        parameter_values:
          additionalProperties: true
          type: object
          title: Parameter Values
      type: object
      required:
        - parameter_values
      title: CalculationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````